Autor Tema: Como realizar actualización en versión SIU-Mapuche 3.3.0  (Leído 9507 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Mariela Alonso

  • Moderador
  • *****
  • Mensajes: 454
    • Ver Perfil
    • Email
  • Institución: SIU
  • Nombre y apellido: Mariela Alonso
  • Sistema: Mapuche
Como realizar actualización en versión SIU-Mapuche 3.3.0
« on: Septiembre 15, 2017, 02:33:44 pm »
Hola!, dado a los nuevos cambios de versiones en PHP y POSTGRES debemos tener en cuenta una serie de pasos dependiendo si estamos instalando o actualizando una versión. También cabe aclarar, que estos pasos pueden variar dependiendo si lo realizan en una instalación existente o van a crear un nuevo servidor con las nuevas versiones.

En el caso que decidan crear un nuevo servidor tienen que tener en cuenta los pasos recomendados en el siguiente foro (http://foro.comunidad.siu.edu.ar/index.php?topic=9795.0), luego realizar la actualización a la versión SIU-Mapuche 3.3.0 de la siguiente manera.


ACTUALIZACIÓN:

1) Eliminar el archivo entorno_toba.env que se encuentra en <path_instalacion>/mapuche/instalacion.
2) Correr el instalador/actualizador de la versión SIU-Mapuche 3.3.0.
3) Cuando haya finalizado la actualización, debemos levantar las variables de entorno del proyecto desde una terminal.
 - > cd /<path_instalacion>/mapuche/instalacion
 - > . entorno_toba.env
Ejecutar los siguientes comandos
 - > toba instalacion despublicar
 - > toba instalacion publicar
4) Eliminar el link simbólico de la librería xlib perteneciente a la instalación anterior. (Verificar antes de borrar). Los links simbólicos se encuentran en /etc/apache2/sites_enabled.


Tanto en una INSTALACIÓN como en una ACTUALIZACIÓN debemos realizar al finalizar el siguiente paso:

 - Editar bases.ini (<path_instalacion>/mapuche/instalacion) y agregar la siguiente entrada
      [produccion toba_usuarios toba_usuarios]
      motor = "postgres7"
      profile = "ip_conexión_base"
      puerto = "puerto_conexion_base"
      usuario = "usuario_conexion"
      clave = "clave_conexion"
      base = "nombre_base_conexión"
      schema = "toba_mapuche"
      encoding = "SQL_ASCII"

 - Reiniciar servidor apache (con usuario root: etc/init.d/apache2 restart)

NOTA: tener en cuenta con que usuario están realizando la actualización o instalación, sino al finalizar la operación deberían darle permisos a la carpeta donde se encuentra instalado el sistema mapuche.

Saludos,
Equipo SIU-Mapuche
Mariela Alonso
Equipo SIU-Mapuche
SIU
http://www.siu.edu.ar

fminola

  • Visitante
Re:Como realizar actualización en versión SIU-Mapuche 3.3.0
« Respuesta #1 on: Septiembre 21, 2017, 02:33:47 pm »
Hola! Con esta nueva versión de PHP se debe configurar el encoding para que se muestren correctamente todas las palabras con caracteres especiales. Para realizar esto debemos ubicar el archivo php.ini, luego buscar en su interior la definición  “default_charset” y en caso de no encontrarse seteado con “ISO-8859-1”, se debe establecer dicho valor. Luego, guardar los cambios y reiniciar el servicio de  Apache.

Saludos!

gpiccininno

  • Jr. Member
  • **
  • Mensajes: 53
    • Ver Perfil
    • Email
  • Institución: MPF
  • Nombre y apellido: Graciela Rita Piccininno
  • Teléfono laboral: 4335-4286
  • Utilizo algun sistéma del SIU: Sí
Re:Como realizar actualización en versión SIU-Mapuche 3.3.0
« Respuesta #2 on: Febrero 06, 2018, 03:12:35 pm »
Hola.
No me queda claro el párrafo en ACTUALIZACIÓN que dice:

1) Eliminar el archivo entorno_toba.env .

En la carpeta de la aplicación siu/mapuche/instalacion/ no hay ningún archivo con ese nombre. Los que encuentro son
En el caso de linux, solo
toba.conf
y si estamos en Windows
entorno_toba_2.7.bat
toba.conf

Cual hay que borrar?

Gracias.

Graciela Piccininno

marmentano

  • Moderador Mapuche
  • *
  • Mensajes: 184
    • Ver Perfil
    • Email
  • Institución: siu
  • Nombre y apellido: Miguel Armentano
  • Sistema: mapuche
  • Teléfono laboral: 422000
Re:Como realizar actualización en versión SIU-Mapuche 3.3.0
« Respuesta #3 on: Febrero 07, 2018, 01:15:57 pm »
Graciela, en que versión de mapuche están?

Saludos
Poli

Marco Mora

  • General Guarani
  • *
  • Mensajes: 192
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional del Comahue
  • Nombre y apellido: Marco Andres Mora
  • Sistema: SIU - Mapuche
  • Teléfono laboral: 4490300
  • Utilizo algun sistéma del SIU: Sí
Re:Como realizar actualización en versión SIU-Mapuche 3.3.0
« Respuesta #4 on: Abril 11, 2018, 03:43:15 pm »
Hola, estoy haciendo el cambio de versión de la versión 3.1.2 a la 3.4.4 en debian 9.2, postgresql 9.6 y php7.1

El inconveniente que me surge es cuando realizo estos pasos:
cd /<path_instalacion>/mapuche/instalacion
 - > . entorno_toba.env

Hasta acá todo bien, cuando ejecuto ./entorno_toba.env me levanta las variables y todo ok

Ejecutar los siguientes comandos
 - > toba instalacion despublicar
 - > toba instalacion publicar
Cuando quiero  ejecutar cualquier comando que inicie con "toba" me dice que no se encontró la orden. Si pongo "./toba" me dice que no existe el archivo.

Que estoy haciendo mal?
Area SiU Mapuche
Universidad Nacional del Comahue

marmentano

  • Moderador Mapuche
  • *
  • Mensajes: 184
    • Ver Perfil
    • Email
  • Institución: siu
  • Nombre y apellido: Miguel Armentano
  • Sistema: mapuche
  • Teléfono laboral: 422000
Re:Como realizar actualización en versión SIU-Mapuche 3.3.0
« Respuesta #5 on: Abril 12, 2018, 08:52:58 am »
Hola Marco,
Para cargar correctamente las variables de toba tenes que anteponer el . antes del archivo en tu caso seria

Punto ->> .  ./entorno_toba.env

si no te llega a funcionar podes tener algún problema de permisos, ponete como administrador (sudo su) y luego carga el entorno de toba.

Saludos
Poli

Marco Mora

  • General Guarani
  • *
  • Mensajes: 192
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional del Comahue
  • Nombre y apellido: Marco Andres Mora
  • Sistema: SIU - Mapuche
  • Teléfono laboral: 4490300
  • Utilizo algun sistéma del SIU: Sí
Re:Como realizar actualización en versión SIU-Mapuche 3.3.0
« Respuesta #6 on: Abril 12, 2018, 09:16:37 am »
Perfecto! Ahora me tira otro error:

Código: [Seleccionar]
root@mapuvirtualCV:/usr/local/siu/mapuche/instalacion# . entorno_toba.env
Entorno cargado.
Ejecute 'toba' para ver la lista de comandos disponibles.
root@mapuvirtualCV:/usr/local/siu/mapuche/instalacion# . toba
-su: /usr/local/siu/mapuche/aplicacion/vendor/siu-toba/framework/bin/toba: línea 2: error sintáctico cerca del elemento inesperado `('
-su: /usr/local/siu/mapuche/aplicacion/vendor/siu-toba/framework/bin/toba: línea 2: `<?php require_once('launcher.php');'
root@mapuvirtualCV:/usr/local/siu/mapuche/instalacion# 

Ahi comienzo a revisar los logs pero si se les ocurre algo mejor!

Saludos!
Area SiU Mapuche
Universidad Nacional del Comahue

Mariela Alonso

  • Moderador
  • *****
  • Mensajes: 454
    • Ver Perfil
    • Email
  • Institución: SIU
  • Nombre y apellido: Mariela Alonso
  • Sistema: Mapuche
Re:Como realizar actualización en versión SIU-Mapuche 3.3.0
« Respuesta #7 on: Abril 12, 2018, 09:22:20 am »
Hola Marcos, una vez que tenes cargado las variables de ambiente ejecutar el comando toba es solo sin el punto (> toba).
Saludos,
Mariela
Mariela Alonso
Equipo SIU-Mapuche
SIU
http://www.siu.edu.ar

Marco Mora

  • General Guarani
  • *
  • Mensajes: 192
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional del Comahue
  • Nombre y apellido: Marco Andres Mora
  • Sistema: SIU - Mapuche
  • Teléfono laboral: 4490300
  • Utilizo algun sistéma del SIU: Sí
Re:Como realizar actualización en versión SIU-Mapuche 3.3.0
« Respuesta #8 on: Abril 12, 2018, 09:41:15 am »
Perfecto!! Muchas gracias. Voy a tener que hacer el curso de Toba.
Area SiU Mapuche
Universidad Nacional del Comahue

chardonay

  • Full Member
  • ***
  • Mensajes: 172
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de Cuyo
  • Nombre y apellido: Juan Pablo Arango
  • Sistema: Pilaga
  • Teléfono laboral: 0261 - 4135000 int 4176
Re:Como realizar actualización en versión SIU-Mapuche 3.3.0
« Respuesta #9 on: Junio 12, 2018, 11:46:06 am »
Mariela, tengo un problema parecido al de mas arriba.

root@mapuche:/siu/mapuche/instalacion# . entorno_toba.env
Entorno cargado.
Ejecute 'toba' para ver la lista de comandos disponibles.
root@mapuche:/siu/mapuche/instalacion# toba
bash: /siu/mapuche/aplicacion/vendor/siu-toba/framework/bin/toba: Permiso denegado
root@mapuche:/siu/mapuche/instalacion#

cuando veo los permisos

root@mapuche:/siu/mapuche/instalacion# cd /siu/mapuche/aplicacion/vendor/siu-toba/framework/bin/
root@mapuche:/siu/mapuche/aplicacion/vendor/siu-toba/framework/bin# ls -l
total 52
-rw-r--r-- 1 www-data www-data  274 jun 12 11:19 cambiar_short_tags
-rw-r--r-- 1 www-data www-data 1059 jun 12 11:19 connection_test
drwxr-xr-x 3 www-data www-data 4096 jun 12 11:19 herramientas
-rw-r--r-- 1 www-data www-data  195 jun 12 11:19 instalar
-rw-r--r-- 1 www-data www-data  448 jun 12 11:19 instalar.bat
-rw-r--r-- 1 www-data www-data 1310 jun 12 11:19 launcher.php
-rw-r--r-- 1 www-data www-data  144 jun 12 11:19 svn_revertir
-rw-r--r-- 1 www-data www-data  244 jun 12 11:19 svn_sincronizar
-rw-r--r-- 1 www-data www-data   58 jun 12 11:19 toba
-rw-r--r-- 1 www-data www-data   31 jun 12 11:19 toba.bat
-rw-r--r-- 1 www-data www-data  888 jun 12 11:19 toba_docker
-rw-r--r-- 1 www-data www-data  242 jun 12 11:19 toba_versionar
-rw-r--r-- 1 www-data www-data  226 jun 12 11:19 toba_zippear
root@mapuche:/siu/mapuche/aplicacion/vendor/siu-toba/framework/bin#


Que puede estar pasando???

Muchas Graciassss
« Última Modificación: Junio 12, 2018, 11:50:44 am por chardonay »

Mariela Alonso

  • Moderador
  • *****
  • Mensajes: 454
    • Ver Perfil
    • Email
  • Institución: SIU
  • Nombre y apellido: Mariela Alonso
  • Sistema: Mapuche
Re:Como realizar actualización en versión SIU-Mapuche 3.3.0
« Respuesta #10 on: Junio 12, 2018, 04:32:27 pm »
Hola, podrías probar dando los siguientes permisos?
sudo chmod -R 755 <path_instal>/mapuche/aplicacion/vendor/siu-toba/framework/bin

Saludos,
Mariela
Mariela Alonso
Equipo SIU-Mapuche
SIU
http://www.siu.edu.ar

pvidal

  • Sr. Member
  • ****
  • Mensajes: 383
    • Ver Perfil
  • Institución: Universidad Nacional de la Patagonia Austral
  • Nombre y apellido: Paola Beatriz Vidal
  • Sistema: SIU-Mapuche, SIU-Pilaga
  • Teléfono laboral: 0297-4854888 int. 114
Re:Como realizar actualización en versión SIU-Mapuche 3.3.0
« Respuesta #11 on: Agosto 01, 2018, 11:35:53 am »
Buenos dias, estamos actualizando de la versión 3.2.0 a la versión 3.3.0, para luego llevarla a la 3.4.5.
El error que se nos presenta es que cuando accedemos al [directorio del sistema]/mapuche/instalacion no se encuentra el archivo entorno_toba.env para cargarlo una vez finalizada la actualización. Si miro el log del instalador no se genero inconvenientes durante la actualización. Porque puede ser que no se encuentre este archivo?

Lo que hice entonces fue acceder al foro Errores al actualizar de Versión 3.2.0 a 3.3.0(RESUELTO) y descargar de alli el archivo entorno_toba.env, lo edite con nuestros directorios, lo cargue y probe ejecutar los comandos toba instalacion despublicar que se ejecuta bien, y toba instalación publicar que genera el error:
 ERROR ejecutando SQL:
  [CODIGO]: 0
  [SQLSTATE]: db_96669
  [MENSAJE]: could not find driver
  [SQL EJECUTADA]:
Generado este error el archivo toba.conf pierde el alias al proyecto mapuche. El cual adjunto.

- Elimine el link simbólico de la librería xlib
- Edite el bases.ini con la entrada - Editar bases.ini [produccion toba_usuarios toba_usuarios]

- Reinicie el servidor de apache.

Cuando quiero acceder me sale el error PHP Fatal error:  Class 'Zend\\Escaper\\\\Escaper' not found in /var/hacienda/mapuche/toba/php/nucleo/lib/toba_escapador.php on line 7


- Por utlimo menciono las caracteristicas del servidor donde actualizamos el sistema:

Debian 9.2
Apache/2.4.25
PHP 7.2.4
PostgreSQL 9.6.6


Entonces si no me salio ningun error en el log, el cual adjunto, que puede estar pasando? Vuelvo a probar actualizar de nuevo de la 3.2.0 a la 3.2.0, o puedo aplicar otra solución.


Desde ya muchas gracias


Saludos
Paola
UNPA
« Última Modificación: Agosto 03, 2018, 08:24:53 am por pvidal »

Mariela Alonso

  • Moderador
  • *****
  • Mensajes: 454
    • Ver Perfil
    • Email
  • Institución: SIU
  • Nombre y apellido: Mariela Alonso
  • Sistema: Mapuche
Re:Como realizar actualización en versión SIU-Mapuche 3.3.0
« Respuesta #12 on: Agosto 03, 2018, 08:20:32 am »
Hola Paola,  por alguna razón (quizás permisos en la capeta), cuando actualizaste no se te creó la carpeta entorno_toba.env. Una primera prueba si tenes correctos los path en el archivo, es realizar nuevamente los pasos  del punto  3)
 Cuando haya finalizado la actualización, debemos levantar las variables de entorno del proyecto desde una terminal.
 - > cd /<path_instalacion>/mapuche/instalacion
 - > . entorno_toba.env
Ejecutar los siguientes comandos
 - > toba instalacion despublicar
 - > toba instalacion publicar

Reiniciar apache

Si el problema continúa tendríamos que ver bien el archivo entorno.

Saludos,
Mariela
Mariela Alonso
Equipo SIU-Mapuche
SIU
http://www.siu.edu.ar

pvidal

  • Sr. Member
  • ****
  • Mensajes: 383
    • Ver Perfil
  • Institución: Universidad Nacional de la Patagonia Austral
  • Nombre y apellido: Paola Beatriz Vidal
  • Sistema: SIU-Mapuche, SIU-Pilaga
  • Teléfono laboral: 0297-4854888 int. 114
Re:Como realizar actualización en versión SIU-Mapuche 3.3.0
« Respuesta #13 on: Agosto 03, 2018, 11:12:07 am »
Buen dia Mariela, googleando pude ver que el error:
ERROR ejecutando SQL:
  [CODIGO]: 0
  [SQLSTATE]: db_96669
  [MENSAJE]: could not find driver
  [SQL EJECUTADA]:

Podia deberse a que las librerias utilizadas para la conexion entre apache y php, no existieran o bien estuvieran quebradas. Lo que hice fue instalar nuevamente las librerias libapache2-mod-php7.2 y php7.2-pgsql y ahi al ejecutar el comando toba instalacion publicar no sale el error.

La duda que tengo es porque no esta generando el archivo entorno_toba.env. Te comento que los permisos que yo tengo sobre el directorio de instalación del sistema es 755 en forma recursiva, excepto el directorio de instalación que se encuentra dentro del directorio del sistema, donde tengo 775, para que pueda escribir en el. Y los dueños de ambos directorios es el www-data. Por ejemplo:

Directorio de instalación del sistema:
drwxr-xr-x  5 www-data www-data  hacienda
Directorio /hacienda/mapuche/instalacion
drwxrwxr-x  5 www-data www-data instalacion

Para solucionar el inconveniente de que no me crea el archivo entorno_toba.env en ../hacienda/mapuche/instalacion, lo que hice fue generarlo, como sigue:

export TOBA_DIR=/var/hacienda/mapuche/aplicacion/vendor/siu-toba/framework
export TOBA_INSTANCIA=produccion
export TOBA_INSTALACION_DIR=/var/hacienda/mapuche/instalacion
export PATH="$TOBA_DIR/bin:$PATH"
echo "Entorno cargado."
echo "Ejecute 'toba' para ver la lista de comandos disponibles."


Si bien puedo acceder al sistema en la versión 3.3.0 sin inconvenientes, la consulta es si asi como no genero el archivo entorno_toba.env, pudo haber no generado otro archivo necesario para el correcto funcionamiento del sistema. La consulta surge porque cuando intento actualizar a la versión 3.4.5 no puedo finalizar la ejecución del actualizador, se queda en el paso accion=actualizar. Si consulto el log de apache me sale el siguiente error:
PHP Fatal error:  Class 'SIUToba\\rest\\seguridad\\proveedor_autenticacion' not found in /var/hacienda/mapuche/toba/php/modelo/toba_modelo_mocks_rest.php on line 13, referer: http://192.168.25.192/i_mapuche_3.4.5/index.php?accion=actualizar&paso=2


Mirando el hilo http://foro.comunidad.siu.edu.ar/index.php?topic=13408.msg60377#msg60377, aplique la solución de renombrar la carpeta pero me sale un nuevo error: PROYECTO: El proyecto 'toba_usuarios' es invalido. (la carpeta '/var/hacienda/mapuche/toba/proyectos/toba_usuarios' no existe). Pense que era porque la solución se aplicaba para pasar de al 3.3.0 a la 3.4.0?? y yo estoy intentando pasar de la 3.3.0 a la 3.4.5?? Probe entonces pasar de la 3.3.0 a la 3.4.0 y renombrar el directorio toba para ver si me dejaba avanzar, pero me sale el mismo error..

¿Como puedo solucionar el error?  Les recuerdo nuevamente que lo que yo quise hacer desde el comienzo fue pasarme de la 3.2.0 a la 3.4.5, pero como la actualización de la v3.3.0 tenia ciertas consideraciones me sugirieron pasar de la v3.2.0 a la 3.3.0 primero y ahi se presentaron los inconvenientes mencionados.


Desde ya muchas gracias!

Saludos
Paola
UNPA
« Última Modificación: Agosto 03, 2018, 12:17:39 pm por pvidal »

Mariela Alonso

  • Moderador
  • *****
  • Mensajes: 454
    • Ver Perfil
    • Email
  • Institución: SIU
  • Nombre y apellido: Mariela Alonso
  • Sistema: Mapuche
Re:Como realizar actualización en versión SIU-Mapuche 3.3.0
« Respuesta #14 on: Agosto 06, 2018, 03:25:08 pm »
Hola Paola,  para poder ingresar  al toba_usuarios  tenes que tener la entrada en bases. ini  (path_instalacio/mapuche/instalacion)

[produccion toba_usuarios toba_usuarios]
motor = "postgres7"
profile = ip_base_conexion
puerto = "puerto_base_conexion"
usuario = usuario_conexion
clave =  clave_conexion
base = base
schema = "toba_mapuche"
encoding = "LATIN1"

Saludos,
Mariela
Mariela Alonso
Equipo SIU-Mapuche
SIU
http://www.siu.edu.ar